package speiger.src.coreengine.rendering.gui.font.glyth;

public interface IGlythSheetInfo {
	public int width();
	public int height();
	public default float xOffset() { return 0F; }
	public default float yOffset() { return 3F; }
	public float oversample();
	public boolean isColored();
	public void upload(int texture, int x, int y);
	
	public default float left() { return xOffset(); }
	public default float right() { return xOffset() + width() / oversample(); }
	public default float top() { return yOffset(); }
	public default float bottom() { return yOffset() + height() / oversample(); }

}
